const {Client} = require('ssh2');

function Connection(host, username, password) {
    this.host       = host;
    this.username   = username;
    this.password   = password;
    this.out        = '';
    this.err        = '';
    
    this.executeCommand = function(command) {
        const conn = new Client();
        conn.on('ready', () => {
            conn.exec(command, (err, stream) => {
                if (err) throw err;
                stream.on('close', (code, signal) => {
                    conn.end();
                }).on('data', (data) => {
                    this.out += data.toString();
                    console.log(data.toString());
                }).stderr.on('data', (data) => {
                    this.err += data.toString();
                    console.log('STDERR: ' + data);
                });
            });
        }).connect({
            host: this.host,
            port: 22,
            username: this.username,
            password: this.password
        });
    }
}

var connection = new Connection(process.argv[2], process.argv[3], process.argv[4]);
connection.executeCommand(process.argv[5]);